> # NAME

> MaterialAmbient - 3D API material ambient

> # USAGE

> MaterialAmbient = float4(r, g, b, a)

> # VALID ENUMERANTS

> r, g, b, a: floating point values

> # DESCRIPTION

> Specify the materials ambient reflectance values. See the GL_AMBIENT description on the OpenGL glMaterial manual page for details. See the D3DRS_AMBIENTMATERIALSOURCE render state description for DirectX 9.

> The standard reset callback sets the MaterialAmbient state to float4(0.2, 0.2, 0.2, 1.0).

> # OPENGL FUNCTIONALITY REQUIREMENTS

> OpenGL 1.0

> # DIRECT3D FUNCTIONALITY REQUIREMENTS

> DirectX 9

> # SEE ALSO

> AmbientMaterialSource, ColorMaterial, DiffuseMaterialSource, EmissiveMaterialSource, MaterialDiffuse, MaterialEmission, MaterialEmissive, MaterialPower, MaterialShininess, MaterialSpecular, SpecularMaterialSource